
dependancy_scanning:
  image: node:latest
  stage: test
  script:
    # Install npm, snyk, and snyk-to-html
    - npm install -g npm@latest
    - npm install -g snyk
    - npm install snyk-to-html -g
    # Run snyk help, snyk auth, snyk monitor, snyk test to break build and out report
    - snyk --help
    - snyk auth $SNYK_TOKEN
    - snyk monitor --project-name=goof-gitlab
    - snyk test --json | snyk-to-html -o snyk_results.html
 
  # Output report
  artifacts:
    when: always
    paths: 
      - snyk_results.html